MCP Tools Reference: ces.googleapis.com

Tool: list_changelogs

Lists changelogs in the given app.

The following sample demonstrate how to use curl to invoke the list_changelogs MCP tool.

Curl Request
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_changelogs",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for AgentService.ListChangelogs.

ListChangelogsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string,
  "orderBy": string
}
Fields
parent

string

Required. The resource name of the app to list changelogs from.

pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. The next_page_token value returned from a previous list AgentService.ListChangelogs call.

filter

string

Optional. Filter to be applied when listing the changelogs. See https://google.aip.dev/160 for more details.

The filter string can be used to filter by action, resource_type, resource_name, author, and create_time. The : comparator can be used for case-insensitive partial matching on string fields, while = performs an exact case-sensitive match.

Examples: * action:update (case-insensitive partial match) * action="Create" (case-sensitive exact match) * resource_type:agent * resource_name:my-agent * author:me@example.com * create_time > "2025-01-01T00:00:00Z" * create_time <= "2025-01-01T00:00:00Z" AND resource_type:tool

orderBy

string

Optional. Field to sort by. Only "name" and "create_time" is supported. See https://google.aip.dev/132#ordering for more details.

Output Schema

Response message for AgentService.ListChangelogs.

ListChangelogsResponse

JSON representation
{
  "changelogs": [
    {
      object (Changelog)
    }
  ],
  "nextPageToken": string
}
Fields
changelogs[]

object (Changelog)

The list of changelogs.

nextPageToken

string

A token that can be sent as ListChangelogsRequest.page_token to retrieve the next page. Absence of this field indicates there are no subsequent pages.

Changelog

JSON representation
{
  "name": string,
  "author": string,
  "displayName": string,
  "description": string,
  "resource": string,
  "resourceType": string,
  "action": string,
  "originalResource": {
    object
  },
  "newResource": {
    object
  },
  "dependentResources": [
    {
      object
    }
  ],
  "createTime": string,
  "sequenceNumber": string
}
Fields
name

string

Identifier. The unique identifier of the changelog. Format: projects/{project}/locations/{location}/apps/{app}/changelogs/{changelog}

author

string

Output only. Email address of the change author.

displayName

string

Output only. Display name of the change. It typically should be the display name of the resource that was changed.

description

string

Output only. Description of the change. which typically captures the changed fields in the resource.

resource

string

Output only. The resource that was changed.

resourceType

string

Output only. The type of the resource that was changed.

action

string

Output only. The action that was performed on the resource.

originalResource

object (Struct format)

Output only. The original resource before the change.

newResource

object (Struct format)

Output only. The new resource after the change.

dependentResources[]

object (Struct format)

Output only. The dependent resources that were changed.

createTime

string (Timestamp format)

Output only. The time when the change was made.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

sequenceNumber

string (int64 format)

Output only. The monotonically increasing sequence number of the changelog.

Struct

JSON representation
{
  "fields": {
    string: value,
    ...
  }
}
Fields
fields

map (key: string, value: value (Value format))

Unordered map of dynamically typed values.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

FieldsEntry

JSON representation
{
  "key": string,
  "value": value
}
Fields
key

string

value

value (Value format)

Value

JSON representation
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
Fields
Union field kind. The kind of value. kind can be only one of the following:
nullValue

null

Represents a null value.

numberValue

number

Represents a double value.

stringValue

string

Represents a string value.

boolValue

boolean

Represents a boolean value.

structValue

object (Struct format)

Represents a structured value.

listValue

array (ListValue format)

Represents a repeated Value.

ListValue

JSON representation
{
  "values": [
    value
  ]
}
Fields
values[]

value (Value format)

Repeated field of dynamically typed values.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌